/*
*   \file
*   \remarks Device certificate generation API Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Device certificate generation
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef DEVICEDEVCERT_TST_API_H
#define DEVICEDEVCERT_TST_API_H

DRM_RESULT DDC_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT DDC_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT Test_RemoveDeviceData(long argc, char **argv);
DRM_RESULT Test_SetDeviceEnv(long argc, char **argv);
DRM_RESULT Test_API_GetDeviceCertificate(long argc, char **argv);
DRM_RESULT Test_CompareDataBuffer(long argc, char **argv);
DRM_RESULT Test_VerifyDevcert(long argc, char **argv);

#endif

